- Home »
- Catalog »
- Front Disc Brake Conversion Kits »
- Power Front Kits
LEED Brakes » LEED Brakes
Browse Power Front Kits Products
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything required to...More Details »
Item #: RFC1003-M1A1X
Condition:
New
Price: $1,434.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: RFC1002-M1A1X
Condition:
New
Price: $1,369.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete power drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount red...More Details »
Item #: RFC1002-F6B2X
Condition:
New
Price: $1,384.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: RFC1002-M1A3X
Condition:
New
Price: $1,369.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Chevrolet with the safety, reliability, and performance of a complete power drum-to-disc brake conversion from LEED Brakes. This power front disc brake kit includes everything required...More Details »
Item #: RFC1002-F6B4X
Condition:
New
Price: $1,384.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: RFC1002-M105X
Condition:
New
Price: $1,344.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount black...More Details »
Item #: BFC1003-N6B4X
Condition:
New
Price: $1,514.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This power front disc brake conversion kit...More Details »
Item #: RFC1003-N6B4X
Condition:
New
Price: $1,514.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your classic GM muscle car with a complete front disc brake conversion kit from LEED Brakes. Designed to fit a wide range of Buick, Chevrolet, Pontiac, Oldsmobile, and GMC models, including...More Details »
Item #: FC1003-M1A3
Condition:
New
Price: $1,219.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: LEED Brakes GM AFX Body Power Front Disc Brake Conversion Kit – 2" Drop Spindles, 9" Booster, Black Calipers (Disc/Disc) fits GM A-Body, F-Body, and X-Body models. This complete brake upgrade...More Details »
Item #: BFC1003-E1A3X
Condition:
New
Price: $1,414.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: BFC1002-M105X
Condition:
New
Price: $1,344.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: BFC0026-405PX
Condition:
New
Price: $2,074.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1960-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory...More Details »
Item #: FC0026-405PX
Condition:
New
Price: $1,999.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: RFC0026-405PX
Condition:
New
Price: $2,074.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc...More Details »
Item #: BFC0006-X405MX
Condition:
New
Price: $2,099.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes. This Mustang drum-to-power-disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: BFC0005-H405AX
Condition:
New
Price: $1,999.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston...More Details »
Item #: BFC0005-H405MX
Condition:
New
Price: $1,999.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes...More Details »
Item #: BFC0008-W405X
Condition:
New
Price: $1,999.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: RFC0008-W405X
Condition:
New
Price: $1,999.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston...More Details »
Item #: RFC0005-H405MX
Condition:
New
Price: $1,999.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc...More Details »
Item #: RFC0006-X405MX
Condition:
New
Price: $2,099.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This...More Details »
Item #: BFC0007-X405MX
Condition:
New
Price: $2,099.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: FC0026-Y307X
Condition:
New
Price: $2,124.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: FC0026-P307X
Condition:
New
Price: $2,074.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: RFC0026-P307X
Condition:
New
Price: $2,149.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: BFC2004-8405X
Condition:
New
Price: $2,212.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: RFC2004-8405X
Condition:
New
Price: $2,212.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: BFC0006-3405AX
Condition:
New
Price: $2,099.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: RFC0006-3405AX
Condition:
New
Price: $2,099.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with automatic transmissions. This...More Details »
Item #: BFC0007-3405AX
Condition:
New
Price: $2,099.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This...More Details »
Item #: RFC0007-X405MX
Condition:
New
Price: $2,099.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with automatic transmissions. This drum-to-power-disc brake...More Details »
Item #: RFC0007-3405AX
Condition:
New
Price: $2,099.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang or Mercury Cougar with a power front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit provides the safety, reliability, and...More Details »
Item #: FC0008-W405X
Condition:
New
Price: $1,924.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: BFC0026-Y307X
Condition:
New
Price: $2,199.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: FC2004-8405X
Condition:
New
Price: $2,114.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes. This Mustang drum-to-power-disc brake conversion kit includes everything needed to mount...More Details »
Item #: RFC0005-H405AX
Condition:
New
Price: $1,999.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar C-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically for vehicles originally equipped with factory...More Details »
Item #: FC2006-P405X
Condition:
New
Price: $2,024.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In...More Details »
Item #: FC2005-C05PX
Condition:
New
Price: $1,874.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body...More Details »
Item #: FC2006-C05PX
Condition:
New
Price: $1,874.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit featuring MaxGrip Lite 4-Piston Aluminum...More Details »
Item #: BFC2006-P405X
Condition:
New
Price: $2,133.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In...More Details »
Item #: BFC2005-C05PX
Condition:
New
Price: $1,977.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body...More Details »
Item #: BFC2006-C05PX
Condition:
New
Price: $1,981.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In...More Details »
Item #: RFC2005-C05PX
Condition:
New
Price: $1,977.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body...More Details »
Item #: RFC2006-C05PX
Condition:
New
Price: $1,981.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Mopar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed for select 1962-1972 Mopar B-Body and 1970-1972 Mopar E-Body vehicles, this...More Details »
Item #: FC2005-8405X
Condition:
New
Price: $2,024.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Mopar C-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to power front disc...More Details »
Item #: FC2006-8405X
Condition:
New
Price: $2,024.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with black calipers. This...More Details »
Item #: BFC2006-8405X
Condition:
New
Price: $2,130.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This...More Details »
Item #: RFC2006-8405X
Condition:
New
Price: $2,130.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit with Black Calipers for Mopar B & E Body
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to...More Details »
Item #: BFC2005-8405X
Condition:
New
Price: $2,126.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to...More Details »
Item #: RFC2005-8405X
Condition:
New
Price: $2,126.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar A-Body vehicle with this LEED Brakes power front disc brake conversion kit designed to improve safety, reliability, and braking performance. This power drum-to-disc conversion...More Details »
Item #: FC2001-8405X
Condition:
New
Price: $1,819.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit featuring MaxGrip Lite 4-Piston Aluminum...More Details »
Item #: RFC2006-P405X
Condition:
New
Price: $2,133.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit featuring MaxGrip XDS cross-drilled and slotted rotors and factory-style...More Details »
Item #: FC2003-P405X
Condition:
New
Price: $1,674.99
Ford Mustang, Automatic Transmission
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this drum-to-power disc brake conversion kit. In this 1964–66 Mustang disc brake conversion kit, you receive...More Details »
Item #: FC0001-H405A
Condition:
New
Price: $1,469.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang manual transmission vehicle from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted...More Details »
Item #: FC0003-X405MX
Condition:
New
Price: $1,739.97
Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1967-69 Mustang with this drum-to-power disc brake conversion kit from LEED Brakes. This front disc brake kit includes everything...More Details »
Item #: FC0002-3405A
Condition:
New
Price: $1,594.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of front disc brakes to your 1957–1968 Ford full-size vehicle with this manual-to-power drum-to-disc brake conversion kit from LEED Brakes. This...More Details »
Item #: FC0025-8307
Condition:
New
Price: $1,599.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this GM AFX drum-to-disc brake conversion. This complete assembled GM AFX body front disc brake kit includes...More Details »
Item #: FC1003-M105X
Condition:
New
Price: $1,339.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your GM AFX vehicle with this front drum to disc brake conversion kit from LEED Brakes. This single piston Power Front Disc Brake...More Details »
Item #: FC1003-N6B4
Condition:
New
Price: $1,299.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this drum-to-disc brake conversion kit. This complete front disc brake conversion includes everything needed to...More Details »
Item #: FC1003-M105
Condition:
New
Price: $1,199.99